package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF4F9Data {

    private Map<String, Object> params;
    
    public MWF4F9Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsPackageid() {
        return (String) params.get("RS_PACKAGEID");
    }

    public String rsAdditionalservicestate() {
        return (String) params.get("RS_ADDITIONALSERVICESTATE");
    }

    public String rsPackagename() {
        return (String) params.get("RS_PACKAGENAME");
    }

    public String rsCreationchannel() {
        return (String) params.get("RS_CREATIONCHANNEL");
    }

    public String rsProductcode() {
        return (String) params.get("RS_PRODUCTCODE");
    }

    public String rsCurrency() {
        return (String) params.get("RS_CURRENCY");
    }

    public String rsPeriod() {
        return (String) params.get("RS_PERIOD");
    }

    public Double rsPrice() {
        return (Double) params.get("RS_PRICE");
    }

    public String rsCancellationchannel() {
        return (String) params.get("RS_CANCELLATIONCHANNEL");
    }

    public java.util.Date rsCancellationdate() {
        return (java.util.Date) params.get("RS_CANCELLATIONDATE");
    }

    public java.util.Date rsCreationdate() {
        return (java.util.Date) params.get("RS_CREATIONDATE");
    }

    public String rsProducttype() {
        return (String) params.get("RS_PRODUCTTYPE");
    }

    public Long rsProdinstkey() {
        return (Long) params.get("RS_PRODINSTKEY");
    } 

}
